[%
  zaaknummers = '';
  WHILE (zaak = zaken.next); zaaknummers = zaaknummers _ zaak.id _ ','; END;
  WHILE (zaak = afgehandelde_zaken.next); zaaknummers = zaaknummers _ zaak.id _ ','; END;
  WHILE (zaak = gemachtigde_zaken.next); zaaknummers = zaaknummers _ zaak.id _ ','; END;
  WHILE (zaak = gemachtigde_afgehandelde_zaken.next); zaaknummers = zaaknummers _ zaak.id _ ','; END;
%]

[%
  zaken = zaken.reset();
  afgehandelde_zaken = afgehandelde_zaken.reset();
  gemachtigde_zaken = gemachtigde_zaken.reset();
  gemachtigde_afgehandelde_zaken = gemachtigde_afgehandelde_zaken.reset();
%]

[%
  zaaktypen = '';
  WHILE (zaak = zaken.next); zaaktypen = zaaktypen _ zaak.zaaktype_node_id.titel _ ','; END;
  WHILE (zaak = afgehandelde_zaken.next); zaaktypen = zaaktypen _ zaak.zaaktype_node_id.titel _ ','; END;
  WHILE (zaak = gemachtigde_zaken.next); zaaktypen = zaaktypen _ zaak.zaaktype_node_id.titel _ ','; END;
  WHILE (zaak = gemachtigde_afgehandelde_zaken.next); zaaktypen = zaaktypen _ zaak.zaaktype_node_id.titel _ ','; END;
%]

[%
  zaken = zaken.reset();
  afgehandelde_zaken = afgehandelde_zaken.reset();
  gemachtigde_zaken = gemachtigde_zaken.reset();
  gemachtigde_afgehandelde_zaken = gemachtigde_afgehandelde_zaken.reset();
%]

<div
  class="search-cases"
  data-ng-controller="nl.mintlab.pip.SearchCaseController"
  ng-init="init('[% zaaknummers %]', '[% zaaktypen.replace("'", "\\'") %]')"
>
  <label for="caseSearcher">Zoek uw zaak:</label>
  <input id="caseSearcher" type="text" name="Zoekveld zaken" placeholder="Zoeken...">
</div>
